Page MenuHomePhabricator

WikiEditor's search and replace box stays open after moving from source editing to visual editing
Closed, ResolvedPublic1 Story Points

Description

To reproduce:

  • Open a page in source editing with the WikiEditor toolbar.
  • Open the Search and Replace dialog from the WikiEditor toolbar.
  • Click the "Edit" tab and move to visual editing.

Observed: The dialog is still visible.
Expected: WikiEditor's dialog is alien to VisualEditor, so it should disappear before moving to VisualEditor.

Details

Related Gerrit Patches:

Event Timeline

Amire80 created this task.Nov 10 2015, 5:10 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added projects: VisualEditor, WikiEditor.
Amire80 added a subscriber: Amire80.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 10 2015, 5:10 PM
Jdforrester-WMF triaged this task as Low priority.Nov 10 2015, 8:03 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 253814 had a related patch set uploaded (by Esanders):
Edit mode switching: Auto-close jQuery.UI dialogs before switching

https://gerrit.wikimedia.org/r/253814

Esanders claimed this task.Nov 18 2015, 1:26 AM
Jdforrester-WMF closed this task as Resolved.Nov 18 2015, 3:30 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 253814 merged by jenkins-bot:
Edit mode switching: Auto-close jQuery.UI dialogs before switching

https://gerrit.wikimedia.org/r/253814

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:00 AM